Bug 301352 - theoretical configwidget leak in services
Summary: theoretical configwidget leak in services
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 2.5.90 (2.6 beta)
Platform: unspecified Linux
: NOR minor (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-07 12:30 UTC by Harald Sitter
Modified: 2013-02-22 18:56 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Sitter 2012-06-07 12:30:01 UTC
all service kcms fail to actively recover their configwidget memory in the KCMs

> m_configDialog = new Ui::Mp3tunesConfigWidget;

while in practice this is no issue right now (KCM being a runtime loaded plugin it's memory is recovered when the KCM is destroyed) it would be good to have the widgets deleted as otherwise a possible switch away from KCMing the config would lead to an active leak

Reproducible: Always
Comment 1 Ralf Engels 2013-02-22 18:56:36 UTC
Git commit 75348119fe891ceb8f9c44285847c77103dfaf1f by Ralf Engels.
Committed on 20/02/2013 at 21:29.
Pushed by rengels into branch 'master'.

Fix: theoretical configwidget leak in services

Fix memory leak.
Cleanup additional layouts and widgets
Remove KDE logging. We have our own logging
FIXED-IN: 2.8

M  +3    -5    src/services/amazon/AmazonSettingsModule.cpp
M  +1    -10   src/services/ampache/AmpacheSettings.cpp
M  +3    -4    src/services/gpodder/GpodderServiceSettings.cpp
M  +1    -0    src/services/lastfm/LastFmServiceSettings.cpp
M  +2    -9    src/services/magnatune/MagnatuneSettingsModule.cpp
M  +2    -10   src/services/mp3tunes/Mp3tunesSettingsModule.cpp

http://commits.kde.org/amarok/75348119fe891ceb8f9c44285847c77103dfaf1f